import asyncio
import threading

from atgateway.app.gw_app import mainloop
from atgateway.app.sensing_mgr.model_config_base import ModelConfigBase
from atgateway.app.sensing_mgr.model_config_gw import ModelConfigGW
from app.sensing_mgr.model_dev_gw import ModelDevGW

def main():
    asyncio.run(mainloop(ModelDevGW, ModelConfigGW,
                         "/config/sensing_mgr.conf", "/config/cloud_agent.conf"))

if __name__ == '__main__':
    main()

#
# End of File
#
